#!/bin/sh
# Copyright IBM Corp. 2006

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

WAS_CLASSPATH="$WAS_HOME"/properties:"$WAS_HOME"/lib/j2ee.jar:"$WAS_HOME"/lib/wasproduct.jar

PLATFORM=`/bin/uname`
case $PLATFORM in

  AIX | SunOS | HP-UX)
    
     "$JAVA_HOME/jre/bin/java" \
       -Dwas.install.root="$WAS_HOME" -Xmx256m \
       -classpath "$WAS_CLASSPATH" com.ibm.websphere.product.VersionInfo "$@"  
    ;;
  *)
     "$JAVA_HOME/jre/bin/java" \
       -Dwas.install.root="$WAS_HOME" \
       -classpath "$WAS_CLASSPATH" com.ibm.websphere.product.VersionInfo "$@"
    ;;
esac